Bug 181452 - provide a way to disable quick search popup
provide a way to disable quick search popup
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
6.x
PC Windows XP
: P3 (vote)
: 7.0
Assigned To: Jaroslav Tulach
issues@platform
: API, API_REVIEW_FAST, NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-02 17:27 UTC by zigcnb
Modified: 2010-11-17 07:07 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
PATCH (2.90 KB, patch)
2010-10-29 20:30 UTC, _ theanuradha
Details | Diff
The diff in readable form (9.36 KB, patch)
2010-11-04 08:44 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zigcnb 2010-03-02 17:27:19 UTC
I have an app build on top of platform. In the explorer view, there is
a tree view. When I select a node and press a key, a quick search popup
shows up. The quick search is really not relevant in my app.
Comment 1 Jaroslav Tulach 2010-03-08 05:57:46 UTC
Try to provide an API patch, then reassign back to me. Without your work, this request has little chances to be implemented.
Comment 2 Jaroslav Tulach 2010-10-29 15:33:02 UTC
No patch, no commit.
Comment 3 _ theanuradha 2010-10-29 16:10:46 UTC
I'll try to provide patch
Comment 4 _ theanuradha 2010-10-29 20:30:33 UTC
Created attachment 102716 [details]
PATCH 

Patch with impl,test cases and updated apichanges.xml
Comment 5 _ theanuradha 2010-10-29 20:32:01 UTC
Please review the patch
Comment 6 _ theanuradha 2010-10-29 20:33:39 UTC
Please not patch has created with "hg bundle" as it contain 2 changesets
Comment 7 Jiri Kovalsky 2010-11-01 09:24:12 UTC
This is a community fix. Can you please Jardo review and integrate it if it looks good? Thanks!
Comment 8 Jaroslav Tulach 2010-11-04 08:44:59 UTC
Created attachment 102792 [details]
The diff in readable form
Comment 9 Jesse Glick 2010-11-09 15:57:34 UTC
testQuickSearchEnable looks ready for @RandomlyFails, but I guess we'll let it run for a while without it and see.
Comment 10 _ theanuradha 2010-11-11 03:17:36 UTC
If this patch is please someone  integrate it.
Comment 11 Jaroslav Tulach 2010-11-11 06:00:59 UTC
I will, but I am waiting for the fast track API review period (one week) to time out. Should you create another API related patch, feel free to start the API review (http://wiki.netbeans.org/APIReviews) yourself immediately. Then the waiting won't be so long.

I started the review on 2010-11-08, so I shall integrate on Nov 15, 2010.
Comment 12 Jaroslav Tulach 2010-11-15 09:56:03 UTC
Unless there are objections I will integrate tomorrow.
Comment 13 Jaroslav Tulach 2010-11-16 09:15:45 UTC
Merged as 60ebdd209d49. Thanks for your help.
Comment 14 Jiri Kovalsky 2010-11-16 09:43:39 UTC
This is cool. Thanks Jardo for (API) review & integration and you Anuradha for the great contribution! I have added that to the NetFIX Pool [1].

[1] http://wiki.netbeans.org/NetFIXIssues
Comment 15 Quality Engineering 2010-11-17 07:07:28 UTC
Integrated into 'main-golden', will be available in build *201011170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/41210be98cde
User: Anuradha G <theanuradha@netbeans.org>
Log: #181452 : It's possible to define whether the quick search enable or disable in TreeView.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo